﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using MovieBarcodeGenerator;

namespace UnitTests {

    [TestClass]
    public class TimecodeTests {

        [TestMethod]
        public void Test_SecondsToTimecode() {
            Assert.AreEqual("00:00:20.00", SharpFF.SecondsToTimecode(20));

            Assert.AreEqual("00:02:05.00", SharpFF.SecondsToTimecode(125));

            Assert.AreEqual("00:31:53.00", SharpFF.SecondsToTimecode(1913));

            Assert.AreEqual("01:02:05.00", SharpFF.SecondsToTimecode(3725));

            Assert.AreEqual("00:00:35.47", SharpFF.SecondsToTimecode(35.47M));

            Assert.AreEqual("00:00:35.64", SharpFF.SecondsToTimecode(35.649M));
        }

        [TestMethod]
        public void Test_TimecodeToSeconds() {
            Assert.AreEqual(20M, SharpFF.TimecodeToSeconds("00:00:20.00"));

            Assert.AreEqual(125M, SharpFF.TimecodeToSeconds("00:02:05.00"));

            Assert.AreEqual(3725M, SharpFF.TimecodeToSeconds("01:02:05.00"));

            Assert.AreEqual(35.47M, SharpFF.TimecodeToSeconds("00:00:35.47"));

            Assert.AreEqual(35.64M, SharpFF.TimecodeToSeconds("00:00:35.649"));
        }

    }
}
